#include <bits/stdc++.h>
#define endl "\n"
using namespace std;

int red[100004],beh[100004],pole[100004];

int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n,br=0;
    cin>>n;
    cin>>red[0];
    for(int i=1;i<n;i++){
        cin>>red[i];
        beh[red[i]]=red[i-1];
    }

    cin>>pole[0];
    for(int i=1;i<n;i++){
        cin>>pole[i];
        if(pole[i-1]!=beh[pole[i]])br++;
    }
    cout<<br+1<<endl;

    return 0;
}
